OrQueryNode (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.core.nodes.OrQueryNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.core.nodes
Class OrQueryNode

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
          org.apache.lucene.queryParser.core.nodes.BooleanQueryNode
              org.apache.lucene.queryParser.core.nodes.OrQueryNode

All Implemented Interfaces:
  Serializable, Cloneable, QueryNode

    public class OrQueryNode

extends BooleanQueryNode

A `OrQueryNode` represents an OR boolean operation performed on a list of nodes.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`OrQueryNode(List<QueryNode> clauses)`

Method Summary
`CharSequence` | `toQueryString(EscapeQuerySyntax escapeSyntaxParser)` convert to a query string understood by the query parser
`String` | `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

Methods inherited from class org.apache.lucene.queryParser.core.nodes.BooleanQueryNode
`cloneTree`

Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`add, add, allocate, clone, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, setTag, unsetTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OrQueryNode

    public OrQueryNode(List<QueryNode> clauses)

Parameters:
  `clauses` - - the query nodes to be or'ed

Method Detail

### toString

    public String toString()

  Description copied from class: `QueryNodeImpl`
  Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

  Specified by:
    `toString` in interface `QueryNode`
  Overrides:
    `toString` in class `BooleanQueryNode`
  See Also:
    `QueryNode.toString()`

### toQueryString

    public CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)

  Description copied from interface: `QueryNode`
  convert to a query string understood by the query parser

  Specified by:
    `toQueryString` in interface `QueryNode`
  Overrides:
    `toQueryString` in class `BooleanQueryNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD